{************************************************}
{  trans2quik_api.h                              }
{    Delphi - Ginger                   }
{  http://www.quik.ru/user/forum/import/24427/   }
{     trans2quik 1.2          }
{  http://quik2dde.ru/viewtopic.php?id=48        }
{************************************************}

unit trans2quik_api;

interface

uses Windows;

{$IFDEF VER150}
{$WARN UNSAFE_TYPE OFF}
{$WARN UNSAFE_CAST OFF}
{$WARN UNSAFE_CODE OFF}
{$ENDIF}

const
  TRANS2QUIK_SUCCESS                    = 0;
  TRANS2QUIK_FAILED                     = 1;
  TRANS2QUIK_QUIK_TERMINAL_NOT_FOUND    = 2;
  TRANS2QUIK_DLL_VERSION_NOT_SUPPORTED  = 3;
  TRANS2QUIK_ALREADY_CONNECTED_TO_QUIK  = 4;
  TRANS2QUIK_WRONG_SYNTAX               = 5;
  TRANS2QUIK_QUIK_NOT_CONNECTED         = 6;
  TRANS2QUIK_DLL_NOT_CONNECTED          = 7;
  TRANS2QUIK_QUIK_CONNECTED             = 8;
  TRANS2QUIK_QUIK_DISCONNECTED          =  9;
  TRANS2QUIK_DLL_CONNECTED              = 10;
  TRANS2QUIK_DLL_DISCONNECTED           = 11;
  TRANS2QUIK_MEMORY_ALLOCATION_ERROR    = 12;
  TRANS2QUIK_WRONG_CONNECTION_HANDLE    = 13;
  TRANS2QUIK_WRONG_INPUT_PARAMS         = 14;

  ORDER_QUIKDATE          = 0;
  ORDER_QUIKTIME          = 1;
  ORDER_MICROSEC          = 2;
  ORDER_WITHDRAW_QUIKDATE = 3;
  ORDER_WITHDRAW_QUIKTIME = 4;
  ORDER_WITHDRAW_MICROSEC = 5;

type
  TRANS2QUIK_CONNECTION_STATUS_CALLBACK = procedure (nConnectionEvent: Longint; nExtendedErrorCode: Longint; lpcstrInfoMessage: LPCSTR); stdcall;
  TRANS2QUIK_TRANSACTION_REPLY_CALLBACK = procedure (nTransactionResult: Longint; nTransactionExtendedErrorCode: Longint; nTransactionReplyCode: Longint; dwTransId: DWORD; dOrderNum: double; lpcstrTransactionReplyMessage: LPCSTR); stdcall;
  TRANS2QUIK_ORDER_STATUS_CALLBACK = procedure (nMode: Longint; dwTransID: DWORD; dNumber: double; ClassCode: LPCSTR; SecCode: LPCSTR; dPrice: double; nBalance: Longint; dValue: double; nIsSell, nStatus, nOrderDescriptor: LongInt); stdcall;
  TRANS2QUIK_TRADE_STATUS_CALLBACK = procedure (nMode: Longint; dNumber: double; dOrderNumber: double; ClassCode: LPCSTR; SecCode: LPCSTR; dPrice: double; nQty: Longint; dValue: double; nIsSell: Longint; nTradeDescriptor: Longint); stdcall;

  function TRANS2QUIK_SEND_SYNC_TRANSACTION (lpstTransactionString: LPSTR; var pnReplyCode: longint; var pdwTransId: DWORD; var pdOrderNum: double; lpstrResultMessage: LPSTR; dwResultMessageSize: DWORD; var pnExtendedErrorCode: longint; lpstErrorMessage: LPSTR; dwErrorMessageSize: DWORD): longint; stdcall;
  function TRANS2QUIK_SEND_ASYNC_TRANSACTION (lpstTransactionString: LPSTR; var pnExtendedErrorCode: longint; lpstErrorMessage: LPSTR; dwErrorMessageSize: DWORD): longint; stdcall;
  function TRANS2QUIK_CONNECT (lpstConnectionParamsString: LPSTR; var pnExtendedErrorCode: longint; lpstrErrorMessage: LPSTR; dwErrorMessageSize: DWORD): longint; stdcall;
  function TRANS2QUIK_DISCONNECT (var pnExtendedErrorCode: longint; lpstrErrorMessage: LPSTR; dwErrorMessageSize: DWORD): longint; stdcall;
  function TRANS2QUIK_SET_CONNECTION_STATUS_CALLBACK ( pfConnectionStatusCallback: TRANS2QUIK_CONNECTION_STATUS_CALLBACK; var pnExtendedErrorCode: longint; lpstrErrorMessage: LPSTR; dwErrorMessageSize: DWORD): longint; stdcall;
  function TRANS2QUIK_SET_TRANSACTIONS_REPLY_CALLBACK ( pfTransactionReplyCallback: TRANS2QUIK_TRANSACTION_REPLY_CALLBACK; var pnExtendedErrorCode: longint; lpstrErrorMessage: LPSTR; dwErrorMessageSize: DWORD):  longint; stdcall;
  function TRANS2QUIK_IS_DLL_CONNECTED (var pnExtendedErrorCode: longint; lpstrErrorMessage: LPSTR; dwErrorMessageSize: DWORD): longint; stdcall;
  function TRANS2QUIK_IS_QUIK_CONNECTED (var pnExtendedErrorCode: longint; lpstrErrorMessage: LPSTR; dwErrorMessageSize: DWORD): longint; stdcall;

  function TRANS2QUIK_SUBSCRIBE_ORDERS (ClassCode, Seccodes: LPSTR): Longint; stdcall;
  function TRANS2QUIK_UNSUBSCRIBE_ORDERS (): Longint; stdcall;
  function TRANS2QUIK_START_ORDERS (pfnOrderStatusCallback: TRANS2QUIK_ORDER_STATUS_CALLBACK): Longint; stdcall;

  function TRANS2QUIK_ORDER_QTY (nOrderDescriptor: Longint): Longint; stdcall;
  function TRANS2QUIK_ORDER_DATE (nOrderDescriptor: Longint): Longint; stdcall;
  function TRANS2QUIK_ORDER_TIME (nOrderDescriptor: Longint): Longint; stdcall;
  function TRANS2QUIK_ORDER_ACTIVATION_TIME (nOrderDescriptor: Longint): Longint; stdcall;
  function TRANS2QUIK_ORDER_WITHDRAW_TIME (nOrderDescriptor: Longint): Longint; stdcall;
  function TRANS2QUIK_ORDER_EXPIRY (nOrderDescriptor: Longint): Longint; stdcall;
  function TRANS2QUIK_ORDER_ACCRUED_INT (nOrderDescriptor: Longint): double; stdcall;
  function TRANS2QUIK_ORDER_YIELD (nOrderDescriptor: Longint): double; stdcall;
  function TRANS2QUIK_ORDER_UID (nOrderDescriptor: Longint): Longint; stdcall;

  function TRANS2QUIK_ORDER_VISIBLE_QTY (nOrderDescriptor: Longint): Longint; stdcall;
  function TRANS2QUIK_ORDER_PERIOD (nOrderDescriptor: Longint): Longint; stdcall;
  function TRANS2QUIK_ORDER_FILETIME (nOrderDescriptor: Longint): FILETIME; stdcall;
  function TRANS2QUIK_ORDER_DATE_TIME (nOrderDescriptor, nTimeType: Longint): Longint; stdcall;
  function TRANS2QUIK_ORDER_WITHDRAW_FILETIME (nOrderDescriptor: Longint): FILETIME; stdcall;

  function TRANS2QUIK_ORDER_USERID (nOrderDescriptor: Longint): LPTSTR; stdcall;
  function TRANS2QUIK_ORDER_ACCOUNT (nOrderDescriptor: Longint): LPTSTR; stdcall;
  function TRANS2QUIK_ORDER_BROKERREF (nOrderDescriptor: Longint): LPTSTR; stdcall;
  function TRANS2QUIK_ORDER_CLIENT_CODE (nOrderDescriptor: Longint): LPTSTR; stdcall;
  function TRANS2QUIK_ORDER_FIRMID (nOrderDescriptor: Longint): LPTSTR; stdcall;

  function TRANS2QUIK_SUBSCRIBE_TRADES (ClassCode, Seccodes: LPSTR ): Longint; stdcall;
  function TRANS2QUIK_UNSUBSCRIBE_TRADES (): Longint; stdcall;
  function TRANS2QUIK_START_TRADES(pfnTradeStatusCallback: TRANS2QUIK_TRADE_STATUS_CALLBACK): Longint; stdcall;

  function TRANS2QUIK_TRADE_DATE (nTradeDescriptor: Longint): Longint; stdcall;
  function TRANS2QUIK_TRADE_SETTLE_DATE (nTradeDescriptor: Longint): Longint; stdcall;
  function TRANS2QUIK_TRADE_TIME (nTradeDescriptor: Longint): Longint; stdcall;
  function TRANS2QUIK_TRADE_IS_MARGINAL (nTradeDescriptor: Longint): Longint; stdcall;
  function TRANS2QUIK_TRADE_ACCRUED_INT (nTradeDescriptor: Longint): double; stdcall;
  function TRANS2QUIK_TRADE_YIELD (nTradeDescriptor: Longint): double; stdcall;
  function TRANS2QUIK_TRADE_TS_COMMISSION (nTradeDescriptor: Longint): double; stdcall;
  function TRANS2QUIK_TRADE_CLEARING_CENTER_COMMISSION (nTradeDescriptor: Longint): double; stdcall;
  function TRANS2QUIK_TRADE_EXCHANGE_COMMISSION (nTradeDescriptor: Longint): double; stdcall;
  function TRANS2QUIK_TRADE_TRADING_SYSTEM_COMMISSION (nTradeDescriptor: Longint): double; stdcall;
  function TRANS2QUIK_TRADE_PRICE2 (nTradeDescriptor: Longint): double; stdcall;
  function TRANS2QUIK_TRADE_REPO_RATE (nTradeDescriptor: Longint): double; stdcall;
  function TRANS2QUIK_TRADE_REPO_VALUE (nTradeDescriptor: Longint): double; stdcall;
  function TRANS2QUIK_TRADE_REPO2_VALUE (nTradeDescriptor: Longint): double; stdcall;
  function TRANS2QUIK_TRADE_ACCRUED_INT2 (nTradeDescriptor: Longint): double; stdcall;
  function TRANS2QUIK_TRADE_REPO_TERM (nTradeDescriptor: Longint): Longint; stdcall;
  function TRANS2QUIK_TRADE_START_DISCOUNT (nTradeDescriptor: Longint): double; stdcall;
  function TRANS2QUIK_TRADE_LOWER_DISCOUNT (nTradeDescriptor: Longint): double; stdcall;
  function TRANS2QUIK_TRADE_UPPER_DISCOUNT (nTradeDescriptor: Longint): double; stdcall;
  function TRANS2QUIK_TRADE_BLOCK_SECURITIES (nTradeDescriptor: Longint): Longint; stdcall;
  function TRANS2QUIK_TRADE_PERIOD (nTradeDescriptor: Longint): Longint; stdcall;
  function TRANS2QUIK_TRADE_KIND (nTradeDescriptor: Longint): Longint; stdcall;

const
  TRADE_QUIKDATE  = 0;
  TRADE_QUIKTIME  = 1;
  TRADE_MICROSEC  = 2;

  function TRANS2QUIK_TRADE_FILETIME (nTradeDescriptor: Longint): FILETIME; stdcall;
  function TRANS2QUIK_TRADE_DATE_TIME (nTradeDescriptor, nTimeType: Longint): Longint; stdcall;

  function TRANS2QUIK_TRADE_CURRENCY (nTradeDescriptor: Longint): LPTSTR; stdcall;
  function TRANS2QUIK_TRADE_SETTLE_CURRENCY (nTradeDescriptor: Longint): LPTSTR; stdcall;
  function TRANS2QUIK_TRADE_SETTLE_CODE (nTradeDescriptor: Longint): LPTSTR; stdcall;
  function TRANS2QUIK_TRADE_ACCOUNT (nTradeDescriptor: Longint): LPTSTR; stdcall;
  function TRANS2QUIK_TRADE_BROKERREF (nTradeDescriptor: Longint): LPTSTR; stdcall;
  function TRANS2QUIK_TRADE_CLIENT_CODE (nTradeDescriptor: Longint): LPTSTR; stdcall;
  function TRANS2QUIK_TRADE_USERID (nTradeDescriptor: Longint): LPTSTR; stdcall;
  function TRANS2QUIK_TRADE_FIRMID (nTradeDescriptor: Longint): LPTSTR; stdcall;
  function TRANS2QUIK_TRADE_PARTNER_FIRMID (nTradeDescriptor: Longint): LPTSTR; stdcall;
  function TRANS2QUIK_TRADE_EXCHANGE_CODE (nTradeDescriptor: Longint): LPTSTR; stdcall;
  function TRANS2QUIK_TRADE_STATION_ID (nTradeDescriptor: Longint): LPTSTR; stdcall;

implementation
  function TRANS2QUIK_CONNECT; external 'TRANS2QUIK.DLL'  name '_TRANS2QUIK_CONNECT@16';
  function TRANS2QUIK_DISCONNECT; external 'TRANS2QUIK.DLL' name '_TRANS2QUIK_DISCONNECT@12';
  function TRANS2QUIK_IS_DLL_CONNECTED; external 'TRANS2QUIK.DLL' name '_TRANS2QUIK_IS_DLL_CONNECTED@12';
  function TRANS2QUIK_IS_QUIK_CONNECTED; external 'TRANS2QUIK.DLL' name '_TRANS2QUIK_IS_QUIK_CONNECTED@12';
  function TRANS2QUIK_SET_CONNECTION_STATUS_CALLBACK; external 'TRANS2QUIK.DLL' name '_TRANS2QUIK_SET_CONNECTION_STATUS_CALLBACK@16';
  function TRANS2QUIK_SEND_SYNC_TRANSACTION; external 'TRANS2QUIK.DLL' name '_TRANS2QUIK_SEND_SYNC_TRANSACTION@36';
  function TRANS2QUIK_SEND_ASYNC_TRANSACTION; external 'TRANS2QUIK.DLL' name '_TRANS2QUIK_SEND_ASYNC_TRANSACTION@16';
  function TRANS2QUIK_SET_TRANSACTIONS_REPLY_CALLBACK; external 'TRANS2QUIK.DLL' name '_TRANS2QUIK_SET_TRANSACTIONS_REPLY_CALLBACK@16';

  function TRANS2QUIK_SUBSCRIBE_ORDERS; external 'TRANS2QUIK.DLL'  name '_TRANS2QUIK_SUBSCRIBE_ORDERS@8';
  function TRANS2QUIK_UNSUBSCRIBE_ORDERS; external 'TRANS2QUIK.DLL'  name '_TRANS2QUIK_UNSUBSCRIBE_ORDERS@0';
  function TRANS2QUIK_START_ORDERS; external 'TRANS2QUIK.DLL'  name '_TRANS2QUIK_START_ORDERS@4';

  function TRANS2QUIK_ORDER_QTY; external 'TRANS2QUIK.DLL'  name '_TRANS2QUIK_ORDER_QTY@4';
  function TRANS2QUIK_ORDER_DATE; external 'TRANS2QUIK.DLL'  name '_TRANS2QUIK_ORDER_DATE@4';
  function TRANS2QUIK_ORDER_TIME; external 'TRANS2QUIK.DLL'  name '_TRANS2QUIK_ORDER_TIME@4';
  function TRANS2QUIK_ORDER_ACTIVATION_TIME; external 'TRANS2QUIK.DLL'  name '_TRANS2QUIK_ORDER_ACTIVATION_TIME@4';
  function TRANS2QUIK_ORDER_WITHDRAW_TIME; external 'TRANS2QUIK.DLL'  name '_TRANS2QUIK_ORDER_WITHDRAW_TIME@4';
  function TRANS2QUIK_ORDER_EXPIRY; external 'TRANS2QUIK.DLL'  name '_TRANS2QUIK_ORDER_EXPIRY@4';
  function TRANS2QUIK_ORDER_ACCRUED_INT; external 'TRANS2QUIK.DLL'  name '_TRANS2QUIK_ORDER_ACCRUED_INT@4';
  function TRANS2QUIK_ORDER_YIELD; external 'TRANS2QUIK.DLL'  name '_TRANS2QUIK_ORDER_YIELD@4';
  function TRANS2QUIK_ORDER_UID; external 'TRANS2QUIK.DLL'  name '_TRANS2QUIK_ORDER_UID@4';

  function TRANS2QUIK_ORDER_VISIBLE_QTY; external 'TRANS2QUIK.DLL'  name '_TRANS2QUIK_ORDER_VISIBLE_QTY@4';
  function TRANS2QUIK_ORDER_PERIOD; external 'TRANS2QUIK.DLL'  name '_TRANS2QUIK_ORDER_PERIOD@4';
  function TRANS2QUIK_ORDER_FILETIME; external 'TRANS2QUIK.DLL'  name '_TRANS2QUIK_ORDER_FILETIME@4';
  function TRANS2QUIK_ORDER_DATE_TIME; external 'TRANS2QUIK.DLL'  name '_TRANS2QUIK_ORDER_DATE_TIME@8';
  function TRANS2QUIK_ORDER_WITHDRAW_FILETIME; external 'TRANS2QUIK.DLL'  name '_TRANS2QUIK_ORDER_WITHDRAW_FILETIME@4';

  function TRANS2QUIK_ORDER_USERID; external 'TRANS2QUIK.DLL'  name '_TRANS2QUIK_ORDER_USERID@4';
  function TRANS2QUIK_ORDER_ACCOUNT; external 'TRANS2QUIK.DLL'  name '_TRANS2QUIK_ORDER_ACCOUNT@4';
  function TRANS2QUIK_ORDER_BROKERREF; external 'TRANS2QUIK.DLL'  name '_TRANS2QUIK_ORDER_BROKERREF@4';
  function TRANS2QUIK_ORDER_CLIENT_CODE; external 'TRANS2QUIK.DLL'  name '_TRANS2QUIK_ORDER_CLIENT_CODE@4';
  function TRANS2QUIK_ORDER_FIRMID; external 'TRANS2QUIK.DLL'  name '_TRANS2QUIK_ORDER_FIRMID@4';

  function TRANS2QUIK_SUBSCRIBE_TRADES; external 'TRANS2QUIK.DLL'  name '_TRANS2QUIK_SUBSCRIBE_TRADES@8';
  function TRANS2QUIK_UNSUBSCRIBE_TRADES; external 'TRANS2QUIK.DLL'  name '_TRANS2QUIK_UNSUBSCRIBE_TRADES@0';
  function TRANS2QUIK_START_TRADES; external 'TRANS2QUIK.DLL'  name '_TRANS2QUIK_START_TRADES@4';

  function TRANS2QUIK_TRADE_DATE; external 'TRANS2QUIK.DLL'  name '_TRANS2QUIK_TRADE_DATE@4';
  function TRANS2QUIK_TRADE_SETTLE_DATE; external 'TRANS2QUIK.DLL'  name '_TRANS2QUIK_TRADE_SETTLE_DATE@4';
  function TRANS2QUIK_TRADE_TIME; external 'TRANS2QUIK.DLL'  name '_TRANS2QUIK_TRADE_TIME@4';
  function TRANS2QUIK_TRADE_IS_MARGINAL; external 'TRANS2QUIK.DLL'  name '_TRANS2QUIK_TRADE_IS_MARGINAL@4';
  function TRANS2QUIK_TRADE_ACCRUED_INT; external 'TRANS2QUIK.DLL'  name '_TRANS2QUIK_TRADE_ACCRUED_INT2@4';
  function TRANS2QUIK_TRADE_YIELD; external 'TRANS2QUIK.DLL'  name '_TRANS2QUIK_TRADE_YIELD@4';
  function TRANS2QUIK_TRADE_TS_COMMISSION; external 'TRANS2QUIK.DLL'  name '_TRANS2QUIK_TRADE_TS_COMMISSION@4';
  function TRANS2QUIK_TRADE_CLEARING_CENTER_COMMISSION; external 'TRANS2QUIK.DLL'  name '_TRANS2QUIK_TRADE_CLEARING_CENTER_COMMISSION@4';
  function TRANS2QUIK_TRADE_EXCHANGE_COMMISSION; external 'TRANS2QUIK.DLL'  name '_TRANS2QUIK_TRADE_EXCHANGE_COMMISSION@4';
  function TRANS2QUIK_TRADE_TRADING_SYSTEM_COMMISSION; external 'TRANS2QUIK.DLL'  name '_TRANS2QUIK_TRADE_TRADING_SYSTEM_COMMISSION@4';
  function TRANS2QUIK_TRADE_PRICE2; external 'TRANS2QUIK.DLL'  name '_TRANS2QUIK_TRADE_PRICE2@4';
  function TRANS2QUIK_TRADE_REPO_RATE; external 'TRANS2QUIK.DLL'  name '_TRANS2QUIK_TRADE_REPO_RATE@4';
  function TRANS2QUIK_TRADE_REPO_VALUE; external 'TRANS2QUIK.DLL'  name '_TRANS2QUIK_TRADE_REPO_VALUE@4';
  function TRANS2QUIK_TRADE_REPO2_VALUE; external 'TRANS2QUIK.DLL'  name '_TRANS2QUIK_TRADE_REPO2_VALUE@4';
  function TRANS2QUIK_TRADE_ACCRUED_INT2; external 'TRANS2QUIK.DLL'  name '_TRANS2QUIK_TRADE_ACCRUED_INT2@4';
  function TRANS2QUIK_TRADE_REPO_TERM; external 'TRANS2QUIK.DLL'  name '_TRANS2QUIK_TRADE_REPO_TERM@4';
  function TRANS2QUIK_TRADE_START_DISCOUNT; external 'TRANS2QUIK.DLL'  name '_TRANS2QUIK_TRADE_START_DISCOUNT@4';
  function TRANS2QUIK_TRADE_LOWER_DISCOUNT; external 'TRANS2QUIK.DLL'  name '_TRANS2QUIK_TRADE_LOWER_DISCOUNT@4';
  function TRANS2QUIK_TRADE_UPPER_DISCOUNT; external 'TRANS2QUIK.DLL'  name '_TRANS2QUIK_TRADE_UPPER_DISCOUNT@4';
  function TRANS2QUIK_TRADE_BLOCK_SECURITIES; external 'TRANS2QUIK.DLL'  name '_TRANS2QUIK_TRADE_BLOCK_SECURITIES@4';
  function TRANS2QUIK_TRADE_PERIOD; external 'TRANS2QUIK.DLL'  name '_TRANS2QUIK_TRADE_PERIOD@4';
  function TRANS2QUIK_TRADE_KIND; external 'TRANS2QUIK.DLL'  name '_TRANS2QUIK_TRADE_KIND@4';

  function TRANS2QUIK_TRADE_FILETIME; external 'TRANS2QUIK.DLL'  name '_TRANS2QUIK_TRADE_FILETIME@4';
  function TRANS2QUIK_TRADE_DATE_TIME; external 'TRANS2QUIK.DLL'  name '_TRANS2QUIK_TRADE_DATE_TIME@8';

  function TRANS2QUIK_TRADE_CURRENCY; external 'TRANS2QUIK.DLL'  name '_TRANS2QUIK_TRADE_CURRENCY@4';
  function TRANS2QUIK_TRADE_SETTLE_CURRENCY; external 'TRANS2QUIK.DLL'  name '_TRANS2QUIK_TRADE_SETTLE_CURRENCY@4';
  function TRANS2QUIK_TRADE_SETTLE_CODE; external 'TRANS2QUIK.DLL'  name '_TRANS2QUIK_TRADE_SETTLE_CODE@4';
  function TRANS2QUIK_TRADE_ACCOUNT; external 'TRANS2QUIK.DLL'  name '_TRANS2QUIK_TRADE_ACCOUNT@4';
  function TRANS2QUIK_TRADE_BROKERREF; external 'TRANS2QUIK.DLL'  name '_TRANS2QUIK_TRADE_BROKERREF@4';
  function TRANS2QUIK_TRADE_CLIENT_CODE; external 'TRANS2QUIK.DLL'  name '_TRANS2QUIK_TRADE_CLIENT_CODE@4';
  function TRANS2QUIK_TRADE_USERID; external 'TRANS2QUIK.DLL'  name '_TRANS2QUIK_TRADE_USERID@4';
  function TRANS2QUIK_TRADE_FIRMID; external 'TRANS2QUIK.DLL'  name '_TRANS2QUIK_TRADE_FIRMID@4';
  function TRANS2QUIK_TRADE_PARTNER_FIRMID; external 'TRANS2QUIK.DLL'  name '_TRANS2QUIK_TRADE_PARTNER_FIRMID@4';
  function TRANS2QUIK_TRADE_EXCHANGE_CODE; external 'TRANS2QUIK.DLL'  name '_TRANS2QUIK_TRADE_EXCHANGE_CODE@4';
  function TRANS2QUIK_TRADE_STATION_ID; external 'TRANS2QUIK.DLL'  name '_TRANS2QUIK_TRADE_STATION_ID@4';

end.
